.top-ad {
    position: fixed;
    top: -100%;
    left: 80%;
    transform: translateX(-50%);  
    min-height: 450px; 
    background-color: #f2f3f3;
    z-index: 1999;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.6);
    overflow: hidden;
    transition: all 4s ease; 
    display: flex;
    align-items: center;
    justify-content: center;
}

    .top-ad.show {
        top: 85px;
    } 

 
.top-ad img {
    height: 450px;
    width: auto; 
    object-fit: contain;
    display: block;
}

.adclose-btn {
    position: absolute;
    top: 15px;
    right: 15px;
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    background-color: #ff3b30;
    color: #fff;
    border-radius: 50%;
    cursor: pointer;
    font-size: 20px;
    user-select: none;
    z-index: 10000;
    transition: all 0.2s ease;
}

    .close-btn:hover {
        background-color: #d92c1f;
        transform: scale(1.1);
    }

.top-ad.hidden {
    top: -100%;
    opacity: 0;
}

.content {
    width: 1200px;
    margin: 20px auto;
    padding: 20px;
}
